본문으로 바로가기
728x90
반응형
728x170

디버그 모드를 사용해야 할 일이 생겨 사용했는데

API server listening at: 127.0.0.1:42081
Version of Delve is too old for this version of Go (maximum supported version 1.15, suppress this error with --check-go-version=false)
Process exiting with code: 1

아래와 같은 문구가 디버그 콘솔에서 뜨게 되었습니다.

 

그래서 지금 사용하고 있는 버전이 오래됐나 싶어 버전을 확인하려는데

1.16.2 버전을 사용하고 있었습니다. (업데이트를 하지 않았는데 언제 업데이트 된 건지...)

그래서 버전문제는 아닐거라 생각을 했는데 ()안에 있는 문구를 보니 지원되는 최대 버전 1.15이라고 써 있어

1.15 버전으로 다운 그레이드 해야 했었고, 그러기 위해선 1.15버전을 다운 받아야 했죠. 

 

아래 링크에서 환경에 맞게 다운받으면 되는데


https://golang.org/dl/

 

Downloads - The Go Programming Language

Downloads After downloading a binary release suitable for your system, please follow the installation instructions. If you are building from source, follow the source installation instructions. See the release history for more information about Go releases

golang.org

이 페이지에서 windows 환경일 시

 위에 밑 줄 친 부분을 다운 받으니 기존 버전 삭제, 현재 버전 다운로드가 자동적으로 진행 되었습니다.

 

버전 확인

그 후 다시 디버그 모드를 실행하니

정상적으로 동작하게 되었습니다.

728x90
반응형
그리드형

댓글을 달아 주세요